%define upstream_name    Crypt-RC4
%define upstream_version 2.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Crypt-RC4 module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
This module provides a simple implementation of the RC4 algorithm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes
%{perl_vendorlib}/Crypt/RC4.pm
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2.20.0-11.mga10
+ Revision: 2198042
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 2.20.0-10.mga9
+ Revision: 1802712
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.20.0-9.mga8
+ Revision: 1493619
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.20.0-8.mga7
+ Revision: 1266807
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 2.20.0-7.mga6
+ Revision: 1024609
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.20.0-6.mga6
+ Revision: 944638
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.20.0-5.mga5
+ Revision: 745471
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20.0-4.mga5
+ Revision: 684054
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.20.0-3.mga4
+ Revision: 510334
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.20.0-2.mga3
+ Revision: 364931
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 2.20.0-1.mga1
+ Revision: 26247
- no meta.yml
- mageia rebuild
- imported package perl-Crypt-RC4


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 2.20.0-1mdv2010.0
+ Revision: 403037
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 2.02-3mdv2009.0
+ Revision: 256336
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.02-1mdv2008.1
+ Revision: 136699
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.02-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.02-1mdk
- initial Mandriva package

